glusterfs (11.2-2) unstable; urgency=medium

  * Remove Rules-Requires-Root control field.
  * Update debian/watch to version 5.
  * Remove deprecated libdb-dev build dependencie.
    Closes: #1119228
  * Fix lintian warning build-depends-on-obsolete-package for pkgconf.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jan 2026 11:33:52 +0100

glusterfs (11.2-1) unstable; urgency=medium

  * New upstream release.
    - Update patch 06-hardcode-ssl-path.
    - Remove merged patch 09-fix-stack-overflow-in-inode-destroy.
  * Update location of debian/watch to Github.
  * Bump Standards-Version to 4.7.3 (Remove priority field).
  * Adjust debian/copyright.
  * Remove alien lintian tags.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Jan 2026 14:56:49 +0100

glusterfs (11.1-6) unstable; urgency=medium

  * Add patch 09-fix-stack-overflow-in-inode-destroy from Andreas Hasenack to
    fix a segfault under certain conditions.
    Closes: #1077626

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 11 Jul 2025 10:26:54 +0200

glusterfs (11.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0.
  * Add patch from Chris Hofstaedtler: Install mount utils into /usr/sbin.
    Closes: #1073760

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2024 14:27:41 +0200

glusterfs (11.1-4) unstable; urgency=medium

  * Install gluster.bash bash completion from
    /usr/share/bash-completion/completions/ instead of previous
    etc/bash_completion.d/ location. Thanks for the patch to Lena Voytek!
    Closes: #1059859
    - Add build dependency on bash-completion. If this package is installed
      glusterfs installs the file to the correct location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 10 Jan 2024 14:53:16 +0100

glusterfs (11.1-3) unstable; urgency=medium

  * Add loong64 architecture.
    Closes: #1058682

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Dec 2023 15:31:44 +0100

glusterfs (11.1-2) unstable; urgency=medium

  * Add patch 06-hardcode-ssl-path: Hardcode path to the SSL certificate
    directory, so we use /etc/ssl instead of /usr/lib/ssl.
    Closes: #1056193
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Dec 2023 16:17:16 +0100

glusterfs (11.1-1) unstable; urgency=high

  * New upstream release.
    - Remove merged patch 09-fix-startup-crash.
    - Fixes use-after-free bug, also described in CVE-2022-48340.
      Closes: #1031796

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2023 09:20:59 +0100

glusterfs (11.0-3) unstable; urgency=high

  * d/t/control, d/t/smoke: Add simple superficial smoke test.
  * Add patch 09-fix-startup-crash to fix a glibc assertion error on startup of
    glusterd. Thanks to Andreas Hasenack!
    Closes: #1050021

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 06 Sep 2023 09:29:12 +0200

glusterfs (11.0-2) unstable; urgency=medium

  * Remove pycache folder in dh_clean.
    Closes: #1044927
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Aug 2023 13:33:18 +0200

glusterfs (11.0-1) experimental; urgency=medium

  * New upstream release.
    - libglusterd0 has been dropped.
    - Remove patch 06-spelling-error.
    - Remove patch 07-spelling-error.
  * Install bash completion for glusterfs-cli package.
    - Also add patch 05-remove-hashbang for it.
  * Add 10.3-5 changelog.
  * GlusterFS works only on 64-bit architectures. So we build glusterfs now
    only on the following architectures: amd64, arm64, ppc64el, ppc64, riscv64,
    mips64el, s390x, ia64 and sparc64.
  * Install gluster-ta-volume and glusterfssharedstorage service.
  * Remove dependency on obsolete package lsb-base.
  * Switch from obsolete dependency libncurses5-dev to libncurses-dev.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 15 Jul 2023 12:42:41 +0200

glusterfs (10.4-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Apr 2023 12:11:47 +0200

glusterfs (10.3-5) unstable; urgency=high

  * Add upstream patch 09-CVE-2023-26253: Resolve asan bug in during receive
    event notification, which results in a stack-buffer-overflow. This
    addresses CVE-2023-26253.
    Closes: #1031731

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 May 2023 10:48:08 +0200

glusterfs (10.3-4) unstable; urgency=medium

  * Add adduser dependency on glusterfs-common.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Jan 2023 15:56:57 +0100

glusterfs (10.3-3) unstable; urgency=medium

  * debian/tests/create-volume: Bump volume size to 500MB to accommodate
    mkfs.xfs lower limit in xfsprogs 6.0.
    Closes: #1025467
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Jan 2023 17:08:07 +0100

glusterfs (10.3-2) unstable; urgency=medium

  * Upgrade glusterfs-cli as dependency at the glusterfs-server package.
    Closes: #1023622

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Nov 2022 15:17:48 +0100

glusterfs (10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Sep 2022 09:42:23 +0200

glusterfs (10.2-2) unstable; urgency=medium

  * Adjust renamed lintian tag name in override.
  * Add patch 08-bash-term-in-posix-shell to fix two bashishms.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:35 +0200

glusterfs (10.2-1) unstable; urgency=medium

  * New upstrean release.
    - Add openssl build dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2022 10:17:39 +0200

glusterfs (10.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Build with ATOMIC_NO_LINK_ERROR on m68k, sh4 and hppa. Thanks to John Paul
    Adrian Glaubitz.
    Closes: #1011090, #1011094, #1011102
  * Do not build with libgoogle-perftools-dev on unsupported targets. Thanks
    again to John Paul Adrian Glaubitz.
    Closes: #1011086

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 May 2022 14:11:27 +0200

glusterfs (10.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Adjust lintian override to match again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Apr 2022 14:27:28 +0200

glusterfs (10.1-2) experimental; urgency=medium

  * Experimentaly drop usage of fusermount-glusterfs.
    Closes: #1004860

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 13 Apr 2022 16:20:45 +0200

glusterfs (10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch from Andreas Hasenack to fix the default file location.
    Closes: #1003743

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jan 2022 12:02:07 +0100

glusterfs (10.0-2) unstable; urgency=medium

  * Acknowledge NMUs, thanks for taking care of gusterfs!
  * Add DEP8 tests from Andreas Hasenack.
    Closes: #1001905
  * Remove init script wording from glusterfs-server long description.
    Closes: #1002007
  * Add patch 03-systemd-environment-file and install /etc/default/glusterd
    environment configuration for the glusterd service.
    Closes: #1002799

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Dec 2021 09:26:09 +0100

glusterfs (10.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Set -DUATOMIC_NO_LINK_ERROR on armel, armhf and mipsel
    (Closes: #1000215) (LP: #1951408)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Nov 2021 19:20:47 +0100

glusterfs (10.0-1.2) unstable; urgency=medium

  * d/rules: disable tcmalloc also on x86 avoiding issues in tgt
    and any other software dlopening the glusterfs libraries.
    LP: #1951126 Closes: #999619

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Nov 2021 09:17:06 +0100

glusterfs (10.0-1.1) unstable; urgency=medium

  * d/rules: Only enable tcmalloc on x86_64, problems on other
    architectures (LP: #1950777) (Closes: #999700)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 15 Nov 2021 10:48:49 +0100

glusterfs (10.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependency libgoogle-perftools-dev.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Nov 2021 09:20:33 +0100

glusterfs (9.4-2) unstable; urgency=medium

  * Build depend on dh-sequence-python3.
  * Adjust lintian overrides.
  * Extend patch 02-systemd-service to replace the KillMode of the glusterd
    service file to control-group.
    Closes: #995303

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Oct 2021 14:39:09 +0200

glusterfs (9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Oct 2021 11:16:40 +0200

glusterfs (9.3-2) unstable; urgency=medium

  * Move gluster utility to new glusterfs-cli package.
    Closes: #991383
  * Remove obsolete glusterfs-server.maintscript.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Sep 2021 10:19:08 +0200

glusterfs (9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.
  * Annotate Build-Depends libfuse-dev, libivbers-dev, libdb-dev,
    librdmacm-dev, libsqlite3-dev, attr, and libglib2.0-dev with <!nocheck>.
    Thanks to Helmut Grohne for his patch.
    Closes: #980545
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Aug 2021 12:06:48 +0200

glusterfs (9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 May 2021 15:40:25 +0200

glusterfs (9.1-2) unstable; urgency=medium

  * New source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Apr 2021 10:04:55 +0200

glusterfs (9.1-1) unstable; urgency=medium

  * New upstream release.
    - For Bullseye pass disable-linux-io_uring to configure, so that no new
      features are enabled. This also requires later liburing-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Apr 2021 10:45:33 +0200

glusterfs (9.0-1) unstable; urgency=medium

  * New upstream release.
    - Merge and rewrite patch 03 and 04 to 02-systemd-service.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Jan 2021 10:42:08 +0100

glusterfs (8.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 08-python-syntax-warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Dec 2020 16:34:14 +0100

glusterfs (8.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:07 +0100

glusterfs (8.2-2) unstable; urgency=medium

  * Add patch 08-python-syntax-warning to fix a Python warning.
    Closes: #974017

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2020 11:44:04 +0100

glusterfs (8.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove some lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Sep 2020 10:05:33 +0200

glusterfs (8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 26 Aug 2020 10:40:09 +0200

glusterfs (8.0-3) unstable; urgency=medium

  * Add patch 01-remove-use-systemd-guards-around-several from Andrei Popescu.
    Closes: #968652

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 10:24:46 +0200

glusterfs (8.0-2) unstable; urgency=medium

  * Do a source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Jul 2020 11:08:17 +0200

glusterfs (8.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-errors.
    - Drop merged patch 02-spelling-error.
    - Drop merged patch 05-spelling-errors.
    - Adjust files to install.
    - Add new package libglusterd0.
  * Adjust lintian-overrides.
  * Use new tmpfiles file extension.
  * Add patch 07-spelling-error.
  * Add not-installed file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jul 2020 12:55:27 +0200

glusterfs (7.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 13.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 May 2020 15:49:50 +0200

glusterfs (7.5-1) unstable; urgency=medium

  * New upstream release.
  * Do not ship .la files.
    Closes: #955788
  * Add patch 06-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2020 10:37:59 +0200

glusterfs (7.4-1) unstable; urgency=medium

  * New upstream release.
  * Overwrite lintian warning executable-in-usr-lib.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 31 Mar 2020 11:24:23 +0200

glusterfs (7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Mar 2020 11:33:09 +0100

glusterfs (7.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Adjust source lintian-overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:55 +0100

glusterfs (7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 11:24:01 +0100

glusterfs (7.1-1) unstable; urgency=medium

  * New upstream release.
  * Use the new debhelper-compat notation, and drop the d/compat file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Dec 2019 10:51:17 +0100

glusterfs (7.0-2) unstable; urgency=medium

  * Pass -VUpstream-Version to dh_makeshlibs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 08 Nov 2019 10:41:36 +0100

glusterfs (7.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch 04-spelling-errors.
  * Bump Standards-Version to 4.4.1.
  * Bump debian/compat to level 12.
    - Many packaging changes.
    - Switch to dh_installsystemd.
  * Set Rules-Requires-Root to no.
  * Add patch 05-spelling-errors.
  * Adjust lintian overrides.
  * Adjust install files.
  * Add patch 04-service-nofile.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Oct 2019 15:44:32 +0200

glusterfs (6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Aug 2019 09:35:02 +0200

glusterfs (6.4-2) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2019 11:39:19 +0200

glusterfs (6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Jul 2019 11:47:53 +0200

glusterfs (6.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:45:33 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libglusterfs0`.
